package com.ghy.order.mapper;

import java.util.List;
import com.ghy.order.domain.AfterServiceImgs;

/**
 * 售后记录图片Mapper接口
 *
 * @author clunt
 * @date 2022-09-25
 */
public interface AfterServiceImgsMapper
{
    /**
     * 查询售后记录图片
     *
     * @param id 售后记录图片主键
     * @return 售后记录图片
     */
    public AfterServiceImgs selectAfterServiceImgsById(String id);

    /**
     * 查询售后记录图片列表
     *
     * @param afterServiceImgs 售后记录图片
     * @return 售后记录图片集合
     */
    public List<AfterServiceImgs> selectAfterServiceImgsList(AfterServiceImgs afterServiceImgs);

    /**
     * 新增售后记录图片
     *
     * @param afterServiceImgs 售后记录图片
     * @return 结果
     */
    public int insertAfterServiceImgs(AfterServiceImgs afterServiceImgs);

    /**
     * 修改售后记录图片
     *
     * @param afterServiceImgs 售后记录图片
     * @return 结果
     */
    public int updateAfterServiceImgs(AfterServiceImgs afterServiceImgs);

    /**
     * 删除售后记录图片
     *
     * @param id 售后记录图片主键
     * @return 结果
     */
    public int deleteAfterServiceImgsById(String id);

    /**
     * 批量删除售后记录图片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAfterServiceImgsByIds(String[] ids);
}